package com.usky.dxtop.controller.web.business;



import com.usky.dxtop.common.core.domain.ApiResult;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.AccountLock;
import com.usky.dxtop.service.AccountLockService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 账号登录限制
 * @author ya
 * @since 2022-04-06
 */
@RestController
@RequestMapping("/accountLock")
public class AccountLockController {

    @Autowired
    private AccountLockService accountLockService;
    /**
     * 新增记录
     * @param accountLock
     * @return
     */
    @PostMapping
    public ApiResult<Boolean> add(@RequestBody AccountLock accountLock){
        return ApiResult.success(accountLockService.add(accountLock));
    }

    /**
     * 修改记录
     * @return
     */
    @PutMapping
    public ApiResult<Boolean> update(@RequestBody AccountLock accountLock){
        return ApiResult.success(accountLockService.update(accountLock));
    }

    /**
     * 删除记录
     * @param id
     * @return
     */
    @DeleteMapping("/{id}")
    public ApiResult<Boolean> delete(@PathVariable("id") Long id){
        return ApiResult.success(accountLockService.delete(id));
    }

    /**
     * 记录查询
     * @param current 页数
     * @param size 条数
     * @param name 名称
     * @return
     */
    @GetMapping("list")
    public ApiResult<CommonPage<AccountLock>> page(@RequestParam Integer current,
                                                   @RequestParam Integer size,
                                                   @RequestParam(required = false) String name){
        return ApiResult.success(accountLockService.page(current,size,name));
    }


}

