package com.usky.dxtop.controller.web.business;


import com.usky.dxtop.common.core.domain.ApiResult;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.Dept;
import com.usky.dxtop.service.DeptService;
import com.usky.dxtop.service.vo.StaffRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 部门
 * @author yq
 * @since 2021-09-28
 */
@RestController
@RequestMapping("/dxtop/dept")
public class DeptController {

    @Autowired
    private DeptService deptService;

    /**
     * 记录查询
     * @param staffRequest
     * @return
     */
    @PostMapping("page")
    public ApiResult<CommonPage<Dept>> page(@RequestBody StaffRequest staffRequest){
        return ApiResult.success(deptService.page(staffRequest));
    }

    /**
     * 全部记录
     * @param staffRequest
     * @return
     */
    @PostMapping("list")
    public ApiResult<List<Dept>> list(@RequestBody StaffRequest staffRequest){
        return ApiResult.success(deptService.list(staffRequest));
    }
}

