package com.usky.dxtop.controller.web.system;


import com.usky.dxtop.common.core.domain.ApiResult;
import com.usky.dxtop.service.ISysAsyncTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * 异步任务
 * @author fzq
 */
@RestController
@RequestMapping("/async")
public class SysAsyncController {

    @Autowired
    private ISysAsyncTaskService iSysAsyncTaskService;

    /**
     * 异步上传
     * @param asyncTaskId
     * @param startTime
     * @param endTime
     * @param funcType
     * @param userName
     * @param current
     * @param size
     * @return
     */
    @GetMapping
    public ApiResult getList(@RequestParam(required = false) Long asyncTaskId,
                             @RequestParam(required = false) Date startTime,
                             @RequestParam(required = false) Date endTime,
                             @RequestParam(required = false) String funcType,
                             @RequestParam(required = false) String userName,
                             Integer current,
                             Integer size) {
        return ApiResult.success(iSysAsyncTaskService.getList(asyncTaskId, startTime, endTime, funcType, userName, current, size));
    }

}
