package com.usky.dxtop.model;

import com.usky.dxtop.common.core.domain.BaseEntity;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 调用api记录表
 * </p>
 *
 * @author yq
 * @since 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CallApiLog extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    private Long id;

    /**
     * 调用api名称
     */
    private String name;

    /**
     * 订单编号
     */
    private String orderNumber;

    /**
     * api url
     */
    private String apiUrl;

    /**
     * api参数
     */
    private String apiParam;

    /**
     * api返回数据
     */
    private String apiResultData;
}
