package com.usky.dxtop.model;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author yq
 * @since 2021-09-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Charge implements Serializable {

    private static final long serialVersionUID=1L;
    /**
     * 序列号
     */
    @TableId(value = "seq",type = IdType.INPUT)
    private Long seq;
    /**
     * 创建时间
     */
    @JSONField(name="create_date")
    private Date createTime;
    /**
     * 卡id
     */
    private String card;
    /**
     * 卡编号
     */
    @JSONField(name="card_no")
    private String cardNo;
    /**
     * 充值类型(
     * 1131 自定义补 贴 1 1132 自定义补 贴 2 1133 自定义补 贴 3 1134 自定义补 贴 4 1135 自定义补 贴 5 1136 自定义补 贴 6 1137 自定义补 贴 7
     * 1138 自定义补 贴 8 1139 自定义补 贴 9 31 余额减值 32 余额加值 2120 充值撤单
     * )
     */
    private Integer type;
    /**
     * 终端id
     */
    private Integer term;
    /**
     * 餐厅id
     */
    private Integer shop;

    /**
     * 终端名称
     */
    @JSONField(name="term_name")
    private String termName;
    /**
     * 餐厅名称
     */
    @JSONField(name="shop_name")
    private String shopName;
    /**
     *  金额
     */
    private BigDecimal amt;
    /**
     * 卡余额
     */
    private BigDecimal balance;
    /**
     * 账号类型0主账号1补贴用户
     */
    private Integer account;
    /**
     * 用户名称
     */
    @TableField(exist = false)
    private String userName;
    /**
     * 用户手机号
     */
    @TableField(exist = false)
    private String userPhone;
    /**
     * 消息状态
     */
    private Boolean messageFlag;

}
