package com.usky.dxtop.model;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author yq
 * @since 2021-09-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Dish implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 序列号
     */
    @TableId(value = "seq",type = IdType.INPUT)
    private Long seq;
    /**
     * 创建时间
     */
    @JSONField(name="create_date")
    private Date createTime;
    /**
     * 卡id
     */
    private String card;
    /**
     * 卡编号
     */
    @JSONField(name="card_no")
    private String cardNo;
    /**
     *1 消费 1001 消费撤单
     */
    private Integer type;
    /**
     *终端id
     */
    private Integer term;
    /**
     * 餐厅id
     */
    private Integer shop;
    /**
     * 终端名称
     */
    @JSONField(name="term_name")
    private String termName;
    /**
     * 餐厅名称
     */
    @JSONField(name="shop_name")
    private String shopName;
    /**
     *金额
     */
    private BigDecimal amt;
    /**
     * 卡余额
     */
    private BigDecimal balance;
    /**
     * 0主账号1补贴账户
     */
    private Integer account;
    /**
     * 1 早餐 2 午餐 3 晚餐 4 夜宵
     */
    private Integer part;
    /**
     * 用户姓名
     */
    private String name;
    /**
     * 用户唯一识别号
     */
    private String mob;
    /**
     * 商品信息
     */
    private String details;
    /**
     * 支付信息
     */
    private String payments;

    /**
     * 用户名称
     */
    @TableField(exist = false)
    private String userName;
    /**
     * 用户手机号
     */
    @TableField(exist = false)
    private String userPhone;


    /**
     * 消息状态
     */
    private Boolean messageFlag;
}
