package com.usky.dxtop.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.usky.dxtop.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 订单表
 * </p>
 *
 * @author yq
 * @since 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_order")
public class Order extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 订单编号
     */
    private String orderNumber;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 用户手机号
     */
    private String userPhone;

    /**
     * 订单状态(0未支付2已支付3支付失败)
     */
    private Integer orderFlag;

    /**
     * 渠道id
     */
    private Integer channelId;

    /**
     * 渠道名称
     */
    private String channelName;

    /**
     * 支付方式
     */
    private Integer payType;

    /**
     * 充值金额
     */
    private BigDecimal money;

    private boolean delFlag;


    /**
     * 身份信息
     */
    private String identity;

    /**
     * 到账比例
     */
    private Double topRadio;
    /**
     * 充值场景
     */
    private Integer scene;

    /**
     * 东信支付类型
     */
    @TableField(exist = false)
    private String topPayType;

    @TableField(exist = false)
    private String openId;

    /**
     * 卡号
     */
    private String card;
    /**
     * 真实到账比例
     */
    private BigDecimal realMoney;

}
