package com.usky.dxtop.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author yq
 * @since 2021-10-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysFile implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 文件批次(一次上传多个文件)
     */
    private String batchNo;
    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 原文件名
     */
    private String oriName;

    /**
     * url
     */
    private String url;

    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 文件权限
     */
    private String fileAcl;

    /**
     * 文件大小
     */
    private Integer fileSize;

    /**
     * 失效时间
     */
    private Date expriceAt;

    /**
     * 0未生效1已生效
     */
    private Integer activeFlag;

    /**
     * 0未删除1已删除
     */
    private Integer delFlag;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    @JsonIgnore
    @TableField(exist = false)
    private List<MultipartFile> files;

    @TableField(exist = false)
    private List<String> urls;

    @TableField(exist = false)
    private Boolean success;

    @TableField(exist = false)
    private String message;

    @TableField(exist = false)
    private String uploadType;
}
