package com.usky.dxtop.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.usky.dxtop.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * <p>
 * 充值渠道
 * </p>
 *
 * @author yq
 * @since 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TopChannel extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @NotBlank(message = "参数名称不能为空")
    @Size(min = 0, max = 20, message = "参数名称不能超过20个字符")
    private String name;

    @NotBlank(message = "参数名称不能为空")
    @Size(min = 0, max = 20, message = "参数名称不能超过20个字符")
    private String aliasName;

    private boolean delFlag;


}
