package com.usky.dxtop.model;

import com.usky.dxtop.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.DecimalMax;
import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * <p>
 * 充值到账比例
 * </p>
 *
 * @author yq
 * @since 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TopRadio extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;


    private Long id;

    /**
     * 身份信息
     */
    @NotBlank(message = "参数名称不能为空")
    @Size(min = 0, max = 20, message = "参数名称不能超过20个字符")
    private String identity;

    /**
     * 到账比例
     */
    @DecimalMin(value = "0",message = "到账比例必须大于0")
    @DecimalMax(value = "1" ,message = "到账比例必须小于或等于1")
    private Double proportion;

    private boolean delFlag;

}
