package com.usky.dxtop.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.AccountLock;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2022-04-06
 */
public interface AccountLockService extends IService<AccountLock> {
    /**
     * add
     * @param accountLock
     * @return
     */
    Boolean add(AccountLock accountLock);

    /**
     * update
     * @return
     */
    Boolean update(AccountLock accountLock);

    Boolean checkNameUnique(AccountLock accountLock);

    /**
     * 删除
     * @param id
     * @return
     */
    Boolean delete(Long id);

    /**
     * 建筑查询
     * @param name
     * @param current
     * @param size
     * @return
     */
    CommonPage<AccountLock> page(Integer current, Integer size, String name);

    /**
     * 查看默认开启的权限
     * @return
     */
    AccountLock isEnableOne();

    /**
     * 修改默认权限
     * @return
     */
    Boolean updateEnable();
}
