package com.usky.dxtop.service.api;

import com.usky.dxtop.common.utils.sign.Sha1;
import com.usky.dxtop.common.utils.uuid.IdUtils;

import java.util.*;

/**
 * @author yq
 * @date 2021/9/28 14:17
 */
public class SmApi {

    private static final String URL = "https://smartpark.caih.com/zkxt";


    private static final String KEY = "DMERPYT!@#$QWER2021+{:>";

    private static final String SIGN_HEAD = "XYTACCESSTOKEN";
    /**
     * 人员信息
     */
    public static final String PERSON_URL = String.format("%s%s",URL,"/api/thirdparty/v1/user/getzkusers");
    /**
     * 部门信息
     */
    public static final String DEPT_URL = String.format("%s%s",URL,"/api/thirdparty/v1/user/getzkdeps");



    public static Map<String,String> sign(TreeMap<String,Object> treeMap){
        String[] objects = {treeMap.get("timestamp").toString(),treeMap.get("nonce").toString(),KEY};
        Arrays.sort(objects);
        StringBuilder buf = new StringBuilder();
        for (String s:objects) {
            buf.append(s);
        }
        Map<String,String> head = new HashMap<>();
        head.put(SIGN_HEAD, Sha1.getSha1(buf.toString()));
        head.put("Content-Type","application/json");
        return head;
    }


    /**
     * 公用请求体
     * @return
     */
    public static TreeMap<String, Object> commonQuery(){
        TreeMap<String, Object> tMap = new TreeMap<>();
        tMap.put("timestamp", System.currentTimeMillis());
        tMap.put("nonce", IdUtils.simpleUUID());
        return tMap;
    }

    /**
     * 人员信息接口
     * @param id
     * @param deptIds
     * @param createTime
     * @param blurry
     * @return
     */
    public static TreeMap<String, Object> generatePersonParam(String id, List<String> deptIds, List<Date> createTime,String blurry){
        TreeMap<String, Object> data = new TreeMap<>();
        data.put("id",id);
        data.put("createTime",createTime);
        data.put("deptIds",deptIds);
        data.put("blurry",blurry);
        TreeMap<String, Object> treeMap = commonQuery();
        treeMap.put("query",data);
        return treeMap;
    }


    public static TreeMap<String, Object> generateDeptParam(List<Date> createTime,String name,String pid,Boolean enabled){
        TreeMap<String, Object> data = new TreeMap<>();
        data.put("createTime",createTime);
        data.put("name",name);
        data.put("pid",pid);
        data.put("enabled",enabled);
        TreeMap<String, Object> treeMap = commonQuery();
        treeMap.put("query",data);
        return treeMap;
    }

}
