package com.usky.dxtop.service.emun;

/**
 * @author yq
 * @date 2021/8/27 15:57
 */
public enum OrderStatus {

    NO_PAYMENT(0,"未支付"),

    AWAIT_PAY(1,"等待中"),

    PAYMENT_ERROR_NO_DEBIT(2,"支付失败"),

    PAYMENT_ERROR_DEBIT(3,"卡充值失败"),

    SUCCESS(4,"支付成功"),

    CANCEL_PAY(5,"取消支付"),

    COMPLETE(6,"已完成");
    private Integer code;

    private String name;

    OrderStatus(Integer code,String name){
        this.code = code;
        this.name = name;
    }

    public static OrderStatus parse(Integer code){
        OrderStatus orderStatus = null;
        for (OrderStatus o:OrderStatus.values()) {
            if (o.getCode().equals(code)){
                orderStatus = o;
                break;
            }
        }
        return orderStatus;
    }


    public Integer getCode(){
        return code;
    }

    public String getName(){
        return name;
    }
}
