package com.usky.dxtop.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.usky.dxtop.mapper.CallApiLogMapper;
import com.usky.dxtop.model.CallApiLog;
import com.usky.dxtop.service.CallApiLogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;

/**
 * <p>
 * 调用api记录表 服务实现类
 * </p>
 *
 * @author yq
 * @since 2021-08-26
 */
@Slf4j
@Service
public class CallApiLogServiceImpl extends ServiceImpl<CallApiLogMapper, CallApiLog> implements CallApiLogService {


    @Transactional(rollbackFor = Exception.class)
    @Override
    public void saveOrUpdate(String orderNumber, String apiName, String url, String param,String result) {
        CallApiLog callApiLog = this.one(orderNumber, apiName);
        if (null == callApiLog){
            callApiLog = new CallApiLog();
            callApiLog.setApiUrl(url);
            callApiLog.setApiParam(param);
            callApiLog.setOrderNumber(orderNumber);
            callApiLog.setName(apiName);
            callApiLog.setApiResultData(result);
            this.save(callApiLog);
        }else {
            callApiLog.setUpdateTime(new Date());
            callApiLog.setApiResultData(result);
            this.updateById(callApiLog);
        }
    }

    @Override
    public CallApiLog one(String orderNumber, String apiName) {
        LambdaQueryWrapper<CallApiLog> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(CallApiLog::getOrderNumber,orderNumber)
                .eq(CallApiLog::getName,apiName);
        return this.getOne(queryWrapper);
    }
}
