package com.usky.dxtop.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.common.utils.DateUtils;
import com.usky.dxtop.mapper.DishMapper;
import com.usky.dxtop.model.Dish;
import com.usky.dxtop.service.DishService;
import com.usky.dxtop.service.vo.DishRequest;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author yq
 * @since 2021-09-09
 */
@Service
public class DishServiceImpl extends ServiceImpl<DishMapper, Dish> implements DishService {

    @Override
    public CommonPage<Dish> page(DishRequest dishRequest) {
        IPage<Dish> page = new Page<>(dishRequest.getCurrent(), dishRequest.getSize());
        page = baseMapper.page(page,dishRequest.getStartTime(),dishRequest.getEndTime(),dishRequest.getCart(),
                dishRequest.getNameOrPhone(),dishRequest.getUserId(),dishRequest.getMessageFlag());
        return new CommonPage<>(page.getRecords(),page.getTotal(),page.getSize(),page.getCurrent());
    }

    @Override
    public Dish one(Long seq) {
        return this.getById(seq);
    }

    @Override
    public Map<String, Object> collect() {
        Date nowDate = DateUtils.getNowDate();
        QueryWrapper<Dish> queryWrapper = new QueryWrapper<>();
        queryWrapper.select("IFNULL(sum(amt),0) as total","count(seq) as dishCount")
                .between("create_time",DateUtils.getDayStartTime(nowDate),nowDate);
        return this.getMap(queryWrapper);
    }

    @Override
    public Boolean update(Dish dish) {
        return this.updateById(dish);
    }


}
