package com.usky.dxtop.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.usky.dxtop.common.constant.UserConstants;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.common.utils.StringUtils;
import com.usky.dxtop.mapper.TopRadioMapper;
import com.usky.dxtop.model.TopRadio;
import com.usky.dxtop.service.TopRadioService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 充值到账比例 服务实现类
 * </p>
 *
 * @author yq
 * @since 2021-08-26
 */
@Service
public class TopRadioServiceImpl extends ServiceImpl<TopRadioMapper, TopRadio> implements TopRadioService {

    @Override
    public String checkIdentityUnique(TopRadio topRadio) {
        Long configId = StringUtils.isNull(topRadio.getId()) ? -1L : topRadio.getId();
        LambdaQueryWrapper<TopRadio> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(TopRadio::getIdentity,topRadio.getIdentity())
                .eq(TopRadio::isDelFlag,0);
        TopRadio byIdentity = this.getOne(queryWrapper);
        if (StringUtils.isNotNull(byIdentity) && byIdentity.getId() != configId.longValue())
        {
            return UserConstants.NOT_UNIQUE;
        }
        return UserConstants.UNIQUE;
    }

    @Override
    public CommonPage<TopRadio> list(Integer current, Integer size, String identity) {
        IPage<TopRadio> page = new Page<>(current, size);
        LambdaQueryWrapper<TopRadio> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.like(StringUtils.isNotBlank(identity),TopRadio::getIdentity,identity)
                .eq(TopRadio::isDelFlag,false)
                .orderByDesc(TopRadio::getId);
        page = this.page(page, queryWrapper);
        return new CommonPage<>(page.getRecords(),page.getTotal(),page.getCurrent(),page.getSize());
    }
}
