package com.usky.dxtop.service.vo;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author yq
 * @date 2021/9/9 15:57
 */
@Data
public class ChargeRequest {

    /**
     * 卡号
     */
    private String cart;
    /**
     * 用户名称/手机号
     */
    private String nameOrPhone;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 页数
     */
    @NotNull
    @Min(value = 1,message = "页数不能为0")
    private Integer current;
    /**
     * 条数
     */
    @NotNull
    @Max(value = 500,message = "条数不能超过500")
    private Integer size;
    /**
     * 用戶id
     */
    private String userId;

    /**
     * 已读状态
     */
    private Boolean messageFlag;
}
